Bug 56063 - (VIDEO4LINUX ZORAN)kernel crashes when I watch large movies (~10GByte)
(VIDEO4LINUX ZORAN)kernel crashes when I watch large movies (~10GByte)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-12 06:09 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-12 06:09:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
I watch large mjpeg quicktime movies whith xmovie-1.9, when the file larger
then 2G sometimes crash the kernel (2.4.9-13 i686). 

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.xmovie galvolgyi.mov
2.when i seek the crash is more frequently
3.
	

Additional info:

from dmesg:
kernel BUG at page_alloc.c:240!
invalid operand: 0000
CPU:    0
EIP:    0010:[<c0131397>]    Not tainted
EFLAGS: 00010292
eax: 00000020   ebx: c102a348   ecx: 00000001   edx: 00004318
esi: 00001000   edi: c1000010   ebp: 00000000   esp: cda1de4c
ds: 0018   es: 0018   ss: 0018
Process xmovie (pid: 18616, stackpage=cda1d000)
Stack: c021bdb0 000000f0 000009ee 00000212 c02d0424 00000000 c02d03e0
c02d03e0 
       c02d06a8 00000000 00000001 c0131433 c02d06a0 00000001 00000000
000000d2 
       c0131580 c02d06a0 00000000 00000000 00000001 00000001 000000d2
c102a38c 
Call Trace: [<c021bdb0>] copyrite [kernel] 0x4990 
[<c0131433>] __alloc_pages_limit [kernel] 0x73 
[<c0131580>] _wrapped_alloc_pages [kernel] 0x110 
[<c01316df>] __alloc_pages [kernel] 0xf 
[<c0129ae1>] generic_file_readahead [kernel] 0x1b1 
[<c0129dbd>] do_generic_file_read [kernel] 0x22d 
[<c0121d49>] sys_kill [kernel] 0x49 
[<c012a1f4>] generic_file_read [kernel] 0x64 
[<c012a0b0>] file_read_actor [kernel] 0x0 
[<c0137a56>] sys_read [kernel] 0x96 
[<c01379ac>] sys_llseek [kernel] 0xcc 
[<c0106f2b>] system_call [kernel] 0x33 


Code: 0f 0b 5e 5f e9 d9 fd ff ff 83 44 24 08 0c 45 83 fd 0a 0f 86 
 ------------[ cut here ]------------
kernel BUG at page_alloc.c:240!
invalid operand: 0000
CPU:    0
EIP:    0010:[<c0131397>]    Not tainted
EFLAGS: 00010286
eax: 00000020   ebx: c102a304   ecx: 00000001   edx: 00004822
esi: 00001000   edi: c1000010   ebp: 00000000   esp: c57c5dc0
ds: 0018   es: 0018   ss: 0018
Process xmovie (pid: 18384, stackpage=c57c5000)
Stack: c021bdb0 000000f0 000009ed 00000212 c02d0430 00000000 c02d03e0
c02d03e0 
       c02d06a8 00000000 00000001 c0131433 c02d06a0 00000001 00000000
000000d2 
       c0131580 c02d06a0 00000000 00000000 00000001 00000001 000000d2
c139ef80 
Call Trace: [<c021bdb0>] copyrite [kernel] 0x4990 
[<c0131433>] __alloc_pages_limit [kernel] 0x73 
[<c0131580>] _wrapped_alloc_pages [kernel] 0x110 
[<c01316df>] __alloc_pages [kernel] 0xf 
[<c01295f5>] read_cluster_nonblocking [kernel] 0x85 
[<c012a853>] filemap_nopage [kernel] 0x203 
[<c0127208>] do_no_page [kernel] 0x78 
[<c0127305>] handle_mm_fault [kernel] 0x65 
[<c016b29e>] opost [kernel] 0x1be 
[<c0115970>] do_page_fault [kernel] 0x0 
[<c0115aea>] do_page_fault [kernel] 0x17a 
[<c016900e>] tty_write [kernel] 0x14e 
[<c016cd20>] write_chan [kernel] 0x0 
[<c0137b52>] sys_write [kernel] 0xc2 
[<c0115970>] do_page_fault [kernel] 0x0 
[<c0107028>] error_code [kernel] 0x38 


Code: 0f 0b 5e 5f e9 d9fd ff ff kernel BUG at page_alloc.c:240!
invalid operand: 0000
CPU:    0
EIP:    0010:[<c0131397>]    Not tainted
EFLAGS: 00010286
eax: 00000020   ebx: c102a2c0   ecx: 00000001   edx: 00004dce
esi: 00001000   edi: c1000010   ebp: 00000000   esp: c42e7dc0
ds: 0018   es: 0018   ss: 0018
Process gnome-terminal (pid: 1054, stackpage=c42e7000)
Stack: c021bdb0 000000f0 000009ec 00000212 c02d0424 00000000 c02d03e0
c02d03e0 c02d06a8 00000000 00000001 c0131433 c02d06a0 00000001 00000000
000000d2 c0131580 c02d06a0 00000000 00000000 00000001 00000001 000000d2
c1175020 
Call Trace: [<c021bdb0>] copyrite [kernel] 0x4990 
[<c0131433>] __alloc_pages_limit [kernel] 0x73 
[<c0131580>] _wrapped_alloc_pages [kernel] 0x110 
[<c01316df>] __alloc_pages [kernel] 0xf 
[<c01295f5>] read_cluster_nonblocking [kernel] 0x85 
[<c012a853>] filemap_nopage [kernel] 0x203 
[<c0127208>] do_no_page [kernel] 0x78 
[<c0127305>] handle_mm_fault [kernel] 0x65 
[<c016e43c>] pty_unthrottle [kernel] 0x3c 
[<c0115970>] do_page_fault [kernel] 0x0 
[<c0115aea>] do_page_fault [kernel] 0x17a 
[<c0168e9c>] tty_read [kernel] 0xac 
[<c0116602>] schedule [kernel] 0x292 
[<c0115970>] do_page_fault [kernel] 0x0 
[<c0107028>] error_code [kernel] 0x38 


Code: 0f 0b 5e 5f e9 d9 fd ff ff 83 44 24 08 0c 45 83 fd 0a 0f 86 
 
83 44 24 08 0c 45 83 fd 0a 0f 86 
 ------------[ cut here ]------------
Comment 1 Arjan van de Ven 2001-11-12 06:12:06 EST
What video hardware is this ?
Comment 2 Need Real Name 2001-11-12 07:05:33 EST
I use xmovie with software playback. I captured video with dc10+ mjpeg board,
its works fine with zoran driver from cvs (sa7110.o from redhat kernel does not
initialise correctly this card), I compiled zoran modules to rh kernel. When I
don't insert zoran modules the result is same, the kernel crash. Xfree-4.1.0 and
origonal (XFree from distribution, not Matrox version) mga module from rh-7.2
and matrox G450 graphics card is on my box.
Comment 3 Bugzilla owner 2004-09-30 11:39:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.